tclap: TCLAP::HelpVisitor Class Reference

tclap 1.2.5

Public Member Functions | Protected Attributes | List of all members
TCLAP::HelpVisitor Class Reference

A Visitor object that calls the usage method of the given CmdLineOutput object for the specified CmdLine object. More...

`#include <HelpVisitor.h>`

Inheritance diagram for TCLAP::HelpVisitor:
[legend]
Collaboration diagram for TCLAP::HelpVisitor:
[legend]

## Public Member Functions
| HelpVisitor (CmdLineInterface *cmd, CmdLineOutput **out)
| Constructor. More...
void | visit ()
| Calls the usage method of the CmdLineOutput for the specified CmdLine. More...
Public Member Functions inherited from TCLAP::Visitor
| Visitor ()
| Constructor. More...
virtual | ~Visitor ()
| Destructor. More...

## Protected Attributes
CmdLineInterface * | _cmd
| The CmdLine the output will be generated for. More...
CmdLineOutput ** | _out
| The output object. More...

## Detailed Description

A Visitor object that calls the usage method of the given CmdLineOutput object for the specified CmdLine object.

Definition at line 37 of file HelpVisitor.h.

## Constructor & Destructor Documentation

## ◆ HelpVisitor()

TCLAP::HelpVisitor::HelpVisitor | ( | CmdLineInterface * | cmd,
|  | CmdLineOutput ** | out
| ) |  |
| inline

Constructor.

Parameters

  cmd | - The CmdLine the output will be generated for.
  out | - The type of output.

Definition at line 65 of file HelpVisitor.h.

## Member Function Documentation

## ◆ visit()

void TCLAP::HelpVisitor::visit | ( |  | ) |
| inlinevirtual

Calls the usage method of the CmdLineOutput for the specified CmdLine.

Implements TCLAP::Visitor.

Definition at line 72 of file HelpVisitor.h.

References _cmd.

## Member Data Documentation

## ◆ _cmd

CmdLineInterface* TCLAP::HelpVisitor::_cmd
| protected

The CmdLine the output will be generated for.

Definition at line 51 of file HelpVisitor.h.

Referenced by visit().

## ◆ _out

CmdLineOutput** TCLAP::HelpVisitor::_out
| protected

The output object.

Definition at line 56 of file HelpVisitor.h.

The documentation for this class was generated from the following file:

- HelpVisitor.h